# $Id: gxmame.spec,v 1.19 2003/12/16 16:48:34 dude Exp $

%define desktop_vendor freshrpms
#define date           20031202

Summary: A complete GTK+ frontend for xmame.
Name: gxmame
Version: 0.34b
Release: %{?date:0.%{date}.}1.fr
License: GPL
Group: Applications/Emulators
Source: http://prdownloads.sourceforge.net/gxmame/gxmame-%{!?date:%{version}}%{?date}.tar.gz
URL: http://gxmame.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: xmame >= 0.77.1
BuildRequires: gtk2-devel, zlib-devel, gettext
#BuildRequires: automake, autoconf, cvs

%description
GXMame is a frontend for XMame using the GTK library, the goal is to provide
the same GUI than mame32. For the moment it will just have the same gui, the
final goal is to be able to share config files with Mame32k (or any version
of mame32 that writes config files instead of saving data into windows
registery) allowing dual booter to have the same environement (favorite,
times played, last game selected, gui preference...) under windows and Linux.

%prep
%setup -q -n %{name}-%{!?date:%{version}}%{?date}

%build
test -x configure || ./autogen.sh
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall
%find_lang %{name}

# Put the docs back into place
mkdir installed-docs
mv %{buildroot}%{_docdir}/%{name}*/* installed-docs/

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc installed-docs/*
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/%{name}.png
%{_datadir}/icons/mini/%{name}.xpm

%changelog
* Sun Jan  4 2004 Matthias Saou <http://freshrpms.net/> - 0.34b-1.fr
- Update to 0.34b.

* Tue Dec 16 2003 Matthias Saou <http://freshrpms.net/> - 0.34-1.fr
- Update to 0.34 final.

* Wed Nov 19 2003 Matthias Saou <http://freshrpms.net/> - 0.34-0.20031202.1.fr
- Update to today's CVS checkout.

* Wed Nov 19 2003 Matthias Saou <http://freshrpms.net/> - 0.34-0.20031119.1.fr
- Update to today's CVS checkout.

* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> - 0.33-3.fr
- Rebuild for Fedora Core 1.

* Tue Oct 21 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added the patch to handle xmame >= 0.74 cleanly at last.

* Thu Jun 12 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.33.

* Tue May 27 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Removed patch since xmame 0.69.1 is back to the old behavior.

* Fri May 23 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added patch to work with xmame 0.68.1.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Mon Mar 24 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.32.

* Wed Mar 19 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added --without freedesktop build option.

* Mon Jan 13 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.31.

* Mon Nov 25 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.30 final.

* Tue Nov 12 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed menu entry by adding "ArcadeGame".
- Added XFX fix patch.

* Sun Oct 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.28.
- Rebuilt for Red Hat Linux 8.0.
- New menu entry.

* Wed Aug  7 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.27.

* Thu Aug  1 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Added missing pixmaps/gxmame to %%files.

